curl -X PUT "https://api.finscreener.in/api/screener/screeners/scr_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012, 62013]"
}'
{
"data": {
"id": "scr_123",
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012, 62013]",
"updated_at": "2026-02-04T12:30:00Z"
}
}
Screener
Update Screener
Update a saved screener
PUT
/
api
/
screener
/
screeners
/
{screener_id}
curl -X PUT "https://api.finscreener.in/api/screener/screeners/scr_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012, 62013]"
}'
{
"data": {
"id": "scr_123",
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012, 62013]",
"updated_at": "2026-02-04T12:30:00Z"
}
}
Update an existing screener’s name, query, type, or description.
Path Parameters
string
required
Screener ID
Headers
string
required
Bearer token:
Bearer <access_token>Request Body
string
required
Screener name
string
required
FQL query string
string
required
Entity type:
company or gststring
Screener description
curl -X PUT "https://api.finscreener.in/api/screener/screeners/scr_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012, 62013]"
}'
{
"data": {
"id": "scr_123",
"name": "Mumbai Tech Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012, 62013]",
"updated_at": "2026-02-04T12:30:00Z"
}
}